//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. 2001 - 2003. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 


namespace GridGridinCell
{
	using System;
	using System.Drawing;
	using System.Collections;
	using System.ComponentModel;
	using System.Windows.Forms;
	using System.Data;

	using Syncfusion.Windows.Forms.Grid;

	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
		private System.Windows.Forms.Button PrintPreview;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.PrintPreview = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridControl1
			// 
			this.gridControl1.ActivateCurrentCellBehavior = Syncfusion.Windows.Forms.Grid.GridCellActivateAction.None;
			this.gridControl1.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.gridControl1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.gridControl1.ColCount = 15;
			this.gridControl1.DefaultGridBorderStyle = Syncfusion.Windows.Forms.Grid.GridBorderStyle.NotSet;
			this.gridControl1.HorizontalThumbTrack = true;
			this.gridControl1.Location = new System.Drawing.Point(24, 48);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.NumberedColHeaders = false;
			this.gridControl1.NumberedRowHeaders = false;
			this.gridControl1.RowCount = 30;
			this.gridControl1.Size = new System.Drawing.Size(784, 305);
			this.gridControl1.TabIndex = 0;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.ThemesEnabled = true;
			this.gridControl1.VerticalThumbTrack = true;
			// 
			// PrintPreview
			// 
			this.PrintPreview.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.PrintPreview.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.PrintPreview.Location = new System.Drawing.Point(160, 16);
			this.PrintPreview.Name = "PrintPreview";
			this.PrintPreview.Size = new System.Drawing.Size(240, 23);
			this.PrintPreview.TabIndex = 1;
			this.PrintPreview.Text = "PrintPreview";
			this.PrintPreview.Click += new System.EventHandler(this.PrintPreview_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(840, 374);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.PrintPreview,
																		  this.gridControl1});
			this.Name = "Form1";
			this.Text = "Grid in Cells...";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			//register custom celltype
			gridControl1.CellModels.Add("GridinCell", new GridInCellModel(gridControl1.Model));

			gridControl1.BackColor = Color.FromArgb(0xda, 0xe5, 0xf5);
			

			GridControl grid;

			//place the new celltype into each of covered cells using upper-left corner
			//also set a different grid into the Tag of each cell
			this.gridControl1[2,2].CellType = "GridinCell";
			this.gridControl1.CoveredRanges.Add(GridRangeInfo.Cells(2, 2, 5, 23));
			grid = new CellEmbeddedGrid(this.gridControl1);
			grid.BackColor = Color.FromArgb(0xb4, 0xe7, 0xf2);
			grid.RowCount = 3;
			grid.ColCount = 20;
			grid[1,1].Text = "this is a 10x3 grid";
			grid.ThemesEnabled = true;

			this.gridControl1[2,2].Control = grid;
			this.gridControl1.Controls.Add(grid);

			this.gridControl1[2,6].CellType = "GridinCell";
			this.gridControl1.CoveredRanges.Add(GridRangeInfo.Cells(2, 6, 5, 8));
			grid = new CellEmbeddedGrid(this.gridControl1);
			grid.BackColor = Color.FromArgb(0xee, 0x7a, 0x02);
			grid.RowCount = 5;
			grid.ColCount = 5;
			grid[1,1].Text = "this is a 5x5 grid";
			grid.ThemesEnabled = true;
			this.gridControl1[2,6].Control = grid;
			this.gridControl1.Controls.Add(grid);

			this.gridControl1[8,2].CellType = "GridinCell";
			this.gridControl1.CoveredRanges.Add(GridRangeInfo.Cells(8, 2, 12, 8));
			grid = new CellEmbeddedGrid(this.gridControl1);
			grid.BackColor = Color.FromArgb(0xfc, 0xac, 0x26);
			grid.RowCount = 20;
			grid.ColCount = 20;
			grid[1,1].Text = "this is a 20x20 grid";
			grid.ThemesEnabled = true;
			this.gridControl1[8,2].Control = grid;
			this.gridControl1.Controls.Add(grid);
		}

		private void PrintPreview_Click(object sender, System.EventArgs e)
		{
			if (gridControl1 != null)
			{
				try 
				{
					GridPrintDocument pd = new GridPrintDocument(gridControl1, true); //Assumes the default printer

					PrintPreviewDialog dlg = new PrintPreviewDialog() ;
					dlg.Document = pd;
					dlg.ShowDialog();
				} 
				catch(Exception ex) 
				{ 
					MessageBox.Show("An error occurred attempting to preview the file to print - " + ex.Message);
				}
			}

		}
	}
}
